## zope.interface 6.1

=== docs/requirements.txt ===
Sphinx
sphinx_rtd_theme>1
docutils<0.19
repoze.sphinx.autointerface

## zope.interface 3.5.2-1

=== debian/changelog ===
zope.interface (3.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added conflict with zope3.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:47:25 +0200

zope.interface (3.5.1-5) unstable; urgency=low

  * Don't include sources files in the binary package.
  * Depend on python-pkg-resources instead of python-setuptools.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Aug 2009 09:56:37 +0200

zope.interface (3.5.1-4) unstable; urgency=low

  * Build a python-zope.interface.dbg package.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Aug 2009 19:40:54 +0200

zope.interface (3.5.1-3) unstable; urgency=low

  [ Michael Bienia ]
  * debian/rules:
    Use the macros from python.mk to determine the library path for python 2.5
    and python 2.6, Closes: #537581.
  * debian/control:
    Bump the needed version of python-all-dev for this.

  [ Brian Sutherland ]
  * debian/rules, debian/control: Changes to above patch to be buildable on
    Lenny. Remove the python.mk include, van.pydeb already includes this
    conditionally. Revert above bump of python-all-dev.

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 20 Jul 2009 09:35:10 +0200

zope.interface (3.5.1-2) unstable; urgency=low

  * Fix maintainers/upload.
  * Use simpler van-pydep call in rules.
  * Remove python-zopeinterface metapackage as it is not needed.
  * Make watch file use pypi rather than download.zope.org. 
  * Use the python-van.pydeb template for the rules file.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Jun 2009 16:11:11 +0200

zope.interface (3.5.1-1) unstable; urgency=low

  * Major re-write/update. 

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 26 May 2009 19:07:43 +0000

python-zope.interface (3.4.0~b1-1) experimental; urgency=low

  * New upstream release
  * Remove use of dh_python.
  * Make rules file less strict on version numbers.
  * Add autopkgtest tests.
  * Remove previos debian specific patch adding the zope namespace
    package.

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 16 Jul 2007 09:04:34 +0200

python-zope.interface (3.3.0b2-1) experimental; urgency=low

  * Initial packaging.
  * Patch setup.py to declare the zope package as a namespace package.

 -- Brian Sutherland <jinty@web.de>  Thu, 26 Oct 2006 22:41:46 +0200

=== debian/control ===
Source: zope.interface
Section: python
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 5.0.38), python-all-dev (>= 2.3.5-11), python-all-dbg, python-central (>= 0.5.6), python-setuptools (>= 0.6b3), python-van.pydeb (>= 1.3.0-2)
Standards-Version: 3.8.3
XS-Python-Version: all
XS-Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.interface/trunk

Package: python-zope.interface
Architecture: any
Depends: ${setuptools:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: python-zope, python-zopeinterface, ${python:Provides}
Suggests: ${setuptools:Suggests}
Replaces: python-zope, python-zopeinterface
Conflicts: python-zope, python-zopeinterface, zope3
XB-Python-Version: ${python:Versions}
Description: Zope 3 Interface Infrastructure
 This package provides the zope.interface module, which provide interfaces
 for Python.

Package: python-zope.interface-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-zope.interface (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Conflicts: python-zopeinterface-dbg
Replaces: python-zopeinterface-dbg
Provides: python-zopeinterface-dbg
Description: Zope 3 Interface Infrastructure (debug extension)
 This package provides the zope.interface module, which provide interfaces
 for Python.
 .
 This package contains the extension built for the Python debug interpreter.

## zope.interface 3.5.2-1maemo1

=== debian/changelog ===
zope.interface (3.5.2-1maemo1) unstable; urgency=low

  * Improve dependency situation (remove dep on setuptools' deps)

 -- Zaheer Abbas Merali <zaheermerali@gmail.com>  Mon, 30 Nov 2009 10:57:58 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: python-zope.interface
 Architecture: any
-Depends: ${setuptools:Depends}, ${python:Depends}, ${shlibs:Depends}
+Depends: python-pkg-resources, ${python:Depends}, ${shlibs:Depends}
 Provides: python-zope, python-zopeinterface, ${python:Provides}
 Suggests: ${setuptools:Suggests}
 Replaces: python-zope, python-zopeinterface

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/python-van.pydeb/rules_templates/rules.1.mk

# target overwritten
build: $(PYVERS:%=build-python%) $(PYVERS:%=build-dbg-python%)
	touch $@
build-dbg-python%:
	dh_testdir
	python$*-dbg setup.py build
	touch $@

# target overwritten
clean:
	dh_testdir
	dh_testroot
	$(MAKE) -f debian/rules $(PYVERS:%=clean-python%)
	rm -f build-python?.? build-dbg-python?.?
	rm -rf build
	rm -rf dist
	find -iname '*.pyc' -exec rm -f {} \;
	find -iname '*.pyo' -exec rm -f {} \;
	dh_clean

# target overwritten
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -f debian/rules $(PYVERS:%=install-python%) $(PYVERS:%=install-dbg-python%)

# target overwritten
install-dbg-python%:
	python$*-dbg setup.py install --no-compile --single-version-externally-managed $(py_setup_install_args) --root=debian/$(package)-dbg --install-data=usr/lib/$(package)
	find debian/$(package)-dbg
	find debian/$(package)-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(package)-dbg -depth -empty -exec rmdir {} \;

# target overwritten
binary-common:
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	#dh_strip -p$(package) --dbg-package=$(package)-dbg
	rm -rf debian/$(package)-dbg/usr/share/doc/$(package)-dbg
	mkdir -p debian/$(package)-dbg/usr/share/doc
	ln -sf $(package) debian/$(package)-dbg/usr/share/doc/$(package)-dbg
	dh_compress
	dh_fixperms
	dh_pycentral
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

post-install-python%:
	install -D -m 644 src/zope/__init__.py \
	    debian/$(package)/$(call py_libdir,$*)/zope/__init__.py
	#(echo -n 'setuptools:Depends=' && van-pydeb depends --egg-info debian/$(package)/$(call py_libdir,$*)/$(py_package).egg-info --exclude-extra docs) >> debian/$(package).substvars
	#(echo -n 'setuptools:Suggests=' && van-pydeb depends --egg-info debian/$(package)/$(call py_libdir,$*)/$(py_package).egg-info --extra docs) >> debian/$(package).substvars
	#sed -i 's/python-setuptools/python-pkg-resources/g' debian/$(package).substvars
	#find debian/$(package) -name '*.c' | xargs -r rm -f

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.interface/zope.interface-(.*)\.tar\.gz

## zope.interface 3.6.1

=== debian/changelog ===
zope.interface (3.6.1-3) unstable; urgency=low

  * Team upload.
  * Remove setuptools from requires.txt for Python3 (#688838) by overriding
    dh_gencontrol rather than dh_install, otherwise python3-pkg-resources is
    not added as Depends.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 26 Sep 2012 16:16:22 +0900

zope.interface (3.6.1-2) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Make sure that building fails if any python command fails.
    + Remove setuptools from requires.txt for Python3 only as dh_python2
      already take care of that. Closes: #688838.
  * debian/python-zope.interface-dbg.postinst:
    + Properly handle upgrade from Squeeze of /usr/share/doc to a symlink.
      Closes: #687878.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 26 Sep 2012 12:24:31 +0900

zope.interface (3.6.1-1) unstable; urgency=low

  * Team upload.

  [ Brian Sutherland ]
  * New version and incorporate changes from Ubuntu.
  * Enable python3 packages
  * Use dh_python2 rather than dh_pycentral (Closes: #617171)
  * Stop using python-van.pydeb as well, packages has no dependencies or
    setuptools extras.
  * Add testing scripts for python3 version of this package.
  * Backport fixes to C optimizationd from upstream LP: #675064. Reportedly
    causes a segfault on python3 and 64-bit architectures.
  * Switch to dpkg-source 3.0 (quilt) format

  [ Arnaud Fontaine ]
  * debian/control:
    + Add Vcs-Browser and rename XS-Vcs-Svn to Vcs-Svn (now supported by dpkg).
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Remove deprecated XB-Python-Version.
    + Add Homepage field.
  * debian/copyright:
    + Update to last revision.

  [ Matthias Klose ]
  * The egg doesn't require setuptools. LP: #563060.
  * Call setup.py install with --install-layout=deb to install into
    the final location.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 16 May 2011 20:34:35 +0900

zope.interface (3.6.1-0ubuntu3) natty; urgency=low

  * Build packages for python3.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Feb 2011 18:31:44 +0100

zope.interface (3.6.1-0ubuntu2) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:18:11 +0000

zope.interface (3.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Don't include C source in the package.
  * debian/copyright: update, convert to dep5 format

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 26 Aug 2010 19:40:15 +0300

zope.interface (3.5.3-1) unstable; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 22 Dec 2009 13:14:19 +0100

zope.interface (3.5.2-2) unstable; urgency=low

  [ Matthias Klose ]
  * Set section to zope.

  [ Brian Sutherland ]
  * Set priority to optional as we are depended on by python-zodb which is
    priority optional.

  [ Fabio Tranchitella ]
  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552973)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:07:08 +0100

=== debian/control ===
Source: zope.interface
Section: zope
Priority: optional
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.6.6-3~),
               python-all-dbg,
               python-setuptools,
               python3-all-dev,
               python3-all-dbg, 
               python3-zope.fixers,
               python3-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.1
Homepage: http://pypi.python.org/pypi/zope.interface
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.interface/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.interface/trunk

Package: python-zope.interface
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: python-zope, python-zopeinterface, ${python:Provides}
Replaces: python-zope, python-zopeinterface
Conflicts: python-zope, python-zopeinterface, zope3
Description: Interfaces for Python
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.

Package: python-zope.interface-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-zope.interface (= ${binary:Version}),
         python-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: python-zopeinterface-dbg
Replaces: python-zopeinterface-dbg
Provides: python-zopeinterface-dbg
Description: Interfaces for Python (debug extension)
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-zope.interface
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: python3-zope, ${python3:Provides}
Description: Interfaces for Python3
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.

Package: python3-zope.interface-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python3-zope.interface (= ${binary:Version}),
         python3-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Interfaces for Python3 (debug extension)
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.
 .
 This package contains the extension built for the Python3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=docs

%:
	dh --with python2 --with python3 $@

package=python-zope.interface
package3=python3-zope.interface

override_dh_auto_clean:
	rm -rf build
	find -name __pycache__ | xargs -r rm -rf
	find -name '*.py[co]' | xargs -r rm -f

override_dh_auto_build:
	set -xe; for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py build; \
	done
	set -xe; for pyvers in $(shell py3versions -sv); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	set -xe; \
	for pyvers in $(shell pyversions -vr); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package); \
	done
	set -xe; \
	for pyvers in $(shell py3versions -vs); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package3); \
	done

override_dh_install:
	# remove C source
	find debian/$(package) -name '*.c' | xargs -r rm -f
	# remove debug symbols
	#rm debian/$(package)/usr/lib/python*/*-packages/zope/interface/_zope_interface_coptimizations_d.so
	# zope.interface provides the zope namespace __init__.py
	for py in $(shell pyversions -vr debian/control); do \
	    cp src/zope/__init__.py debian/$(package)/usr/lib/python$$py/*-packages/zope/; \
	done
	# python-zope.interface-dbg package
	for py in $(shell pyversions -vr debian/control); do \
	    python$$py-dbg setup.py install --no-compile --single-version-externally-managed \
	    $(py_setup_install_args) --root=debian/$(package)-dbg \
	    --install-layout=deb; \
	done
	find debian/$(package)-dbg
	find debian/$(package)-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(package)-dbg -depth -empty -exec rmdir {} \;


	# remove C source
	find debian/$(package3) -name '*.c' | xargs -r rm -f
	# remove debug symbols
	#-rm debian/$(package3)/usr/lib/python3/dist-packages/zope/interface/_zope_interface_coptimizations_d.so
	# zope.interface provides the zope namespace __init__.py
	for py in $(shell py3versions -vs); do \
	    cp src/zope/__init__.py debian/$(package3)/usr/lib/python3/dist-packages/zope/; \
	done
	# python3-zope.interface-dbg package
	for py in $(shell py3versions -vs); do \
	    python$$py-dbg setup.py install --no-compile --single-version-externally-managed \
	    $(py_setup_install_args) --root=debian/$(package3)-dbg \
	    --install-layout=deb; \
	done
	find debian/$(package3)-dbg
	find debian/$(package3)-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(package3)-dbg -depth -empty -exec rmdir {} \;

override_dh_gencontrol:
	dh_gencontrol

	# Workaround for dh_python3 not removing python-setuptools from requires.txt
	find debian/$(package3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;

override_dh_installdocs:
	dh_installdocs -p$(package) README.txt
	dh_installdocs -p$(package)-dbg --link-doc=$(package)

	dh_installdocs -p$(package3) README.txt
	dh_installdocs -p$(package3)-dbg --link-doc=$(package3)

override_dh_strip:
	dh_strip -p$(package) --dbg-package=$(package)-dbg
	dh_strip -p$(package3) --dbg-package=$(package3)-dbg

=== debian/tests/control ===
Tests: all
Features: no-build-needed
Depends: python-all, python-zope.interface, python-zope.testrunner

Tests: all-3
Features: no-build-needed
Depends: python3-all, python3-zope.interface, python3-zope.testrunner

## zope.interface 4.0.3

=== debian/changelog ===
zope.interface (4.0.3-0ubuntu2) raring; urgency=low

  * Allow cross-building the package (however dh_python[23] needs to
    get aware of cross builds).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jan 2013 18:21:11 +0100

zope.interface (4.0.3-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 17 Jan 2013 14:19:12 -0500

zope.interface (4.0.2-0ubuntu2) raring; urgency=low

  * debian/tests/all: revert adding of python3, it is tested in all-3.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 11 Dec 2012 17:31:27 +0200

zope.interface (4.0.2-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - remove python3-zope.fixers from Build-Depends
    - bump Standards-Version to 3.9.3
    - enable autopkgtest
  * debian/tests/control: add zope.event
  * debian/tests/all: test also under python3
  * debian/copyright: update to copyright-format 1.0

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 11 Dec 2012 00:47:33 +0200

zope.interface (4.0.1-0ubuntu2) raring; urgency=low

  * Rebuild to drop python3.2 provides.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Nov 2012 23:00:31 +0000

zope.interface (4.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.  Remaining Ubuntu changes:
    - fix_segfault_py3_64bit_LP_675064.diff: Applied upstream, removed.
    LP: #1071845

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 26 Oct 2012 14:51:58 -0400

zope.interface (3.6.1-3build1) raring; urgency=low

  * No change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 17:00:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: zope.interface
 Section: zope
 Priority: optional
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               python-all-dev (>= 2.6.6-3~),
-               python-all-dbg,
+               python-all-dev:any (>= 2.6.6-3~),
+               python-all-dbg:any,
                python-setuptools,
-               python3-all-dev,
-               python3-all-dbg, 
-               python3-zope.fixers,
+               python3-all-dev:any,
+               python3-all-dbg:any, 
+               libpython-all-dev, libpython-all-dbg,
+               libpython3-all-dev, libpython3-all-dbg,
                python3-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.1
+XS-Testsuite: autopkgtest
 Homepage: http://pypi.python.org/pypi/zope.interface
 Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.interface/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.interface/trunk

=== debian/rules ===
--- 
+++ 
@@ -8,28 +8,36 @@
 package=python-zope.interface
 package3=python3-zope.interface
 
+include /usr/share/dpkg/architecture.mk
+ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
+  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)
+
+  # FIXME: is this sufficient?
+  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
+endif
+
 override_dh_auto_clean:
 	rm -rf build
 	find -name __pycache__ | xargs -r rm -rf
 	find -name '*.py[co]' | xargs -r rm -f
 
 override_dh_auto_build:
-	set -xe; for pyvers in $(shell pyversions -vr); do \
-		python$$pyvers setup.py build; \
+	set -xe; for pv in $(shell pyversions -vr); do \
+		$(SET_CROSS_ENV) python$$pv setup.py build; \
 	done
-	set -xe; for pyvers in $(shell py3versions -sv); do \
-		python$$pyvers setup.py build; \
+	set -xe; for pv in $(shell py3versions -sv); do \
+		$(SET_CROSS_ENV) python$$pv setup.py build; \
 	done
 
 override_dh_auto_install:
 	set -xe; \
-	for pyvers in $(shell pyversions -vr); do \
-		python$$pyvers setup.py install --install-layout=deb \
+	for pv in $(shell pyversions -vr); do \
+		$(SET_CROSS_ENV) python$$pv setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/$(package); \
 	done
 	set -xe; \
-	for pyvers in $(shell py3versions -vs); do \
-		python$$pyvers setup.py install --install-layout=deb \
+	for pv in $(shell py3versions -vs); do \
+		$(SET_CROSS_ENV) python$$pv setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/$(package3); \
 	done
 
@@ -39,12 +47,13 @@
 	# remove debug symbols
 	#rm debian/$(package)/usr/lib/python*/*-packages/zope/interface/_zope_interface_coptimizations_d.so
 	# zope.interface provides the zope namespace __init__.py
-	for py in $(shell pyversions -vr debian/control); do \
-	    cp src/zope/__init__.py debian/$(package)/usr/lib/python$$py/*-packages/zope/; \
+	for pv in $(shell pyversions -vr debian/control); do \
+	    cp src/zope/__init__.py debian/$(package)/usr/lib/python$$pv/*-packages/zope/; \
 	done
 	# python-zope.interface-dbg package
-	for py in $(shell pyversions -vr debian/control); do \
-	    python$$py-dbg setup.py install --no-compile --single-version-externally-managed \
+	for pv in $(shell pyversions -vr debian/control); do \
+	    $(SET_CROSS_ENV) python$$pv-dbg setup.py install \
+	    --no-compile --single-version-externally-managed \
 	    $(py_setup_install_args) --root=debian/$(package)-dbg \
 	    --install-layout=deb; \
 	done
@@ -62,8 +71,9 @@
 	    cp src/zope/__init__.py debian/$(package3)/usr/lib/python3/dist-packages/zope/; \
 	done
 	# python3-zope.interface-dbg package
-	for py in $(shell py3versions -vs); do \
-	    python$$py-dbg setup.py install --no-compile --single-version-externally-managed \
+	for pv in $(shell py3versions -vs); do \
+	    $(SET_CROSS_ENV) python$$pv-dbg setup.py install \
+	    --no-compile --single-version-externally-managed \
 	    $(py_setup_install_args) --root=debian/$(package3)-dbg \
 	    --install-layout=deb; \
 	done

## zope.interface 4.0.5

=== debian/changelog ===
zope.interface (4.0.5-1ubuntu4) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:44 +0000

zope.interface (4.0.5-1ubuntu3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:33:09 +0000

zope.interface (4.0.5-1ubuntu2) saucy; urgency=low

  * Merge from Debian. Remaining changes:
    - debian/control: update Build-Depends to allow cross-building the package
      (waiting for Debian to drop python 3.2 support).

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 27 Jun 2013 12:08:55 +0300

zope.interface (4.0.5-1) unstable; urgency=low

  * Team upload.

  [ Gediminas Paulauskas ]
  * New upstream release. (Closes: #691509)
  * debian/control:
    - Add Build-Depends on dpkg-dev (>= 1.16.1~) for multiarch support
    - Bump Standards-Version to 3.9.4
    - Update supported Python versions
    - remove python3-zope.fixers from Build-Depends
    - enable autopkgtest (Closes: #692688)
  * debian/rules:
    - README.rst was renamed
  * debian/tests/control: add zope.event
  * debian/copyright: update to copyright-format 1.0

  [ Matthias Klose ]
  * Allow cross-building the package (however dh_python[23] needs to
    get aware of cross builds).

  [ Barry Warsaw ]
  * fix_segfault_py3_64bit_LP_675064.diff: Applied upstream, removed.

  [ Arnaud Fontaine ]
  * debian/rules:
    - CHANGES.txt was renamed to CHANGES.rst.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 24 May 2013 22:23:43 +0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
+               dpkg-dev (>= 1.16.1~),
                python-all-dev:any (>= 2.6.6-3~),
                python-all-dbg:any,
                python-setuptools,
@@ -14,12 +15,12 @@
                libpython-all-dev, libpython-all-dbg,
                libpython3-all-dev, libpython3-all-dbg,
                python3-setuptools
-Standards-Version: 3.9.3
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.1
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
 Homepage: http://pypi.python.org/pypi/zope.interface
-Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.interface/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.interface/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.interface/trunk
 
 Package: python-zope.interface

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-export PYDEB_SUGGESTS_EXTRAS=docs
-
 %:
-	dh --with python2 --with python3 $@
+	dh $@ --with python2 --with python3
 
 package=python-zope.interface
 package3=python3-zope.interface
@@ -88,11 +86,15 @@
 	find debian/$(package3) -name requires.txt -exec sed -i '/^setuptools$$/d' {} \;
 
 override_dh_installdocs:
-	dh_installdocs -p$(package) README.txt
+	dh_installdocs -p$(package) README.rst
 	dh_installdocs -p$(package)-dbg --link-doc=$(package)
 
-	dh_installdocs -p$(package3) README.txt
+	dh_installdocs -p$(package3) README.rst
 	dh_installdocs -p$(package3)-dbg --link-doc=$(package3)
+
+override_dh_installchangelogs:
+	dh_installchangelogs -p$(package) CHANGES.rst
+	dh_installchangelogs -p$(package3) CHANGES.rst
 
 override_dh_strip:
 	dh_strip -p$(package) --dbg-package=$(package)-dbg

=== debian/tests/control ===
Tests: all
Depends: python-all, python-zope.interface, python-zope.testrunner, python-zope.event

Tests: all-3
Depends: python3-all, python3-zope.interface, python3-zope.testrunner, python3-zope.event

## zope.interface 4.1.1

=== debian/changelog ===
zope.interface (4.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use absolute path in call to symlink_to_dir to fix upgrades from squeeze
    to wheezy to jessie. (Closes: #768286)

 -- Ivo De Decker <ivodd@debian.org>  Sun, 28 Dec 2014 13:25:21 +0100

zope.interface (4.1.1-3) unstable; urgency=medium

  * Added d/python{,3}-zope.interface-dbg.maintscript so that the switch
    from symlinks to directories in /usr/share/doc is done correctly.
    Removed d/python-zope.interface-dbg.postinst which was an incomplete
    way of doing this. (Closes: #768286)
  * d/control: Added Pre-Depends to -dbg packages for .maintscript to
    work properly.

 -- Barry Warsaw <barry@debian.org>  Mon, 17 Nov 2014 13:48:08 -0500

zope.interface (4.1.1-2) unstable; urgency=medium

  * Simplify DEP-8 tests so that they just ensure that the package is
    importable in both Python 2 and Python 3.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 14:34:48 -0400

zope.interface (4.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  Closes: #740555
  * d/control:
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Updated Build-Depends.
    - Added myself to Uploaders.
    - Tweaked long descriptions.
    - wrap-and-sort
  * d/rules:
    - Switch to --buildsystem=pybuild and simplify.
  * d/compat: Bump to version 9.
  * d/copyright: Added Files-Excluded header to prune pre-built Sphinx
    artifacts in docs/_build from the original tarball.

 -- Barry Warsaw <barry@debian.org>  Tue, 24 Jun 2014 17:47:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: zope.interface
 Section: zope
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
-           Fabio Tranchitella <kobold@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               dpkg-dev (>= 1.16.1~),
-               python-all-dev:any (>= 2.6.6-3~),
-               python-all-dbg:any,
+           Fabio Tranchitella <kobold@debian.org>,
+           Barry Warsaw <barry@debian.org>
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all-dev (>= 2.6.6-3~),
+               python-all-dbg,
                python-setuptools,
-               python3-all-dev:any,
-               python3-all-dbg:any, 
-               libpython-all-dev, libpython-all-dbg,
-               libpython3-all-dev, libpython3-all-dbg,
-               python3-setuptools
-Standards-Version: 3.9.4
+               python-zope.event,
+               python3-all-dev,
+               python3-all-dbg,
+               python3-setuptools,
+               python3-zope.event,
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
@@ -34,11 +34,14 @@
  Interfaces are a mechanism for labeling objects as conforming to a given API
  or contract. So, this package can be considered as implementation of the
  Design By Contract methodology support in Python.
+ .
+ This is the Python 3 version.
 
 Package: python-zope.interface-dbg
 Priority: extra
 Section: debug
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.5)
 Depends: python-zope.interface (= ${binary:Version}),
          python-dbg,
          ${misc:Depends},
@@ -63,11 +66,14 @@
  Interfaces are a mechanism for labeling objects as conforming to a given API
  or contract. So, this package can be considered as implementation of the
  Design By Contract methodology support in Python.
+ .
+ This is the Python 3 version.
 
 Package: python3-zope.interface-dbg
 Priority: extra
 Section: debug
 Architecture: any
+Pre-Depends: dpkg (>= 1.17.5)
 Depends: python3-zope.interface (= ${binary:Version}),
          python3-dbg,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.interface
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

package=python-zope.interface
package3=python3-zope.interface

override_dh_auto_install:
	dh_auto_install
	# Remove C sources.
	find debian/$(package) -name '*.c' | xargs -r rm -f
	find debian/$(package3) -name '*.c' | xargs -r rm -f

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -p$(package) README.rst
	dh_installdocs -p$(package)-dbg --link-doc=$(package)

	dh_installdocs -p$(package3) README.rst
	dh_installdocs -p$(package3)-dbg --link-doc=$(package3)

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -p$(package) CHANGES.rst
	dh_installchangelogs -p$(package3) CHANGES.rst

=== debian/tests/control ===
Tests: all
Depends: @

Tests: all-3
Depends: @

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.interface/zope.interface-(.*)(?:\.tar\.gz|\.zip)

## zope.interface 4.1.2

=== debian/changelog ===
zope.interface (4.1.2-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:24:54 +0000

zope.interface (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version with no other changes necessary.
    - wrap-and-sort
  * d/rules: Restore cross building rules.
  * d/tests:
    - Add DEP-8 tests for python{,3}-dbg interpreter.
    - Ensure that the C extension module can be imported in all interpreters.
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Wed, 08 Jul 2015 19:42:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,27 @@
 Source: zope.interface
 Section: zope
 Priority: optional
-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>,
-           Barry Warsaw <barry@debian.org>
+           Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all-dev (>= 2.6.6-3~),
-               python-all-dbg,
+               dpkg-dev (>= 1.16.1~),
+               libpython-all-dbg,
+               libpython-all-dev,
+               libpython3-all-dbg,
+               libpython3-all-dev,
+               python-all-dbg:any,
+               python-all-dev:any (>= 2.6.6-3~),
                python-setuptools,
                python-zope.event,
-               python3-all-dev,
-               python3-all-dbg,
+               python3-all-dbg:any,
+               python3-all-dev:any,
                python3-setuptools,
-               python3-zope.event,
-Standards-Version: 3.9.5
+               python3-zope.event
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
@@ -25,7 +31,7 @@
 
 Package: python-zope.interface
 Architecture: any
-Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: python-zope, python-zopeinterface, ${python:Provides}
 Replaces: python-zope, python-zopeinterface
 Conflicts: python-zope, python-zopeinterface, zope3
@@ -42,8 +48,8 @@
 Section: debug
 Architecture: any
 Pre-Depends: dpkg (>= 1.17.5)
-Depends: python-zope.interface (= ${binary:Version}),
-         python-dbg,
+Depends: python-dbg,
+         python-zope.interface (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: python-zopeinterface-dbg
@@ -59,7 +65,7 @@
 
 Package: python3-zope.interface
 Architecture: any
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: python3-zope, ${python3:Provides}
 Description: Interfaces for Python3
  This package provides an implementation of object interfaces for Python.
@@ -74,8 +80,8 @@
 Section: debug
 Architecture: any
 Pre-Depends: dpkg (>= 1.17.5)
-Depends: python3-zope.interface (= ${binary:Version}),
-         python3-dbg,
+Depends: python3-dbg,
+         python3-zope.interface (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Interfaces for Python3 (debug extension)

## zope.interface 4.1.3

=== debian/changelog ===
zope.interface (4.1.3-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:10:06 +0000

zope.interface (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Fix python-zope.interface long description. (Closes: #795245)

 -- Barry Warsaw <barry@debian.org>  Tue, 27 Oct 2015 11:31:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zope.interface
 Section: zope
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: Brian Sutherland <brian@vanguardistas.net>,
            Fabio Tranchitella <kobold@debian.org>,
            Barry Warsaw <barry@debian.org>,
@@ -41,7 +40,7 @@
  or contract. So, this package can be considered as implementation of the
  Design By Contract methodology support in Python.
  .
- This is the Python 3 version.
+ This is the Python 2 version.
 
 Package: python-zope.interface-dbg
 Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,76 @@
 package=python-zope.interface
 package3=python3-zope.interface
 
+include /usr/share/dpkg/architecture.mk
+ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
+  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)
+
+  # FIXME: is this sufficient?
+  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
+endif
+
+override_dh_auto_build:
+	set -xe; for pv in $(shell pyversions -vr); do \
+		$(SET_CROSS_ENV) python$$pv setup.py build; \
+	done
+	set -xe; for pv in $(shell py3versions -sv); do \
+		$(SET_CROSS_ENV) python$$pv setup.py build; \
+	done
+
 override_dh_auto_install:
-	dh_auto_install
+	set -xe; \
+	for pv in $(shell pyversions -vr); do \
+		$(SET_CROSS_ENV) python$$pv setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/$(package); \
+	done
+	set -xe; \
+	for pv in $(shell py3versions -vs); do \
+		$(SET_CROSS_ENV) python$$pv setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/$(package3); \
+	done
 	# Remove C sources.
 	find debian/$(package) -name '*.c' | xargs -r rm -f
 	find debian/$(package3) -name '*.c' | xargs -r rm -f
+
+override_dh_install:
+	# remove C source
+	find debian/$(package) -name '*.c' | xargs -r rm -f
+	# remove debug symbols
+	#rm debian/$(package)/usr/lib/python*/*-packages/zope/interface/_zope_interface_coptimizations_d.so
+	# zope.interface provides the zope namespace __init__.py
+	for pv in $(shell pyversions -vr debian/control); do \
+	    cp src/zope/__init__.py debian/$(package)/usr/lib/python$$pv/*-packages/zope/; \
+	done
+	# python-zope.interface-dbg package
+	for pv in $(shell pyversions -vr debian/control); do \
+	    $(SET_CROSS_ENV) python$$pv-dbg setup.py install \
+	    --no-compile --single-version-externally-managed \
+	    $(py_setup_install_args) --root=debian/$(package)-dbg \
+	    --install-layout=deb; \
+	done
+	find debian/$(package)-dbg
+	find debian/$(package)-dbg ! -type d ! -name '*.so' | xargs rm -f
+	find debian/$(package)-dbg -depth -empty -exec rmdir {} \;
+
+
+	# remove C source
+	find debian/$(package3) -name '*.c' | xargs -r rm -f
+	# remove debug symbols
+	#-rm debian/$(package3)/usr/lib/python3/dist-packages/zope/interface/_zope_interface_coptimizations_d.so
+	# zope.interface provides the zope namespace __init__.py
+	for py in $(shell py3versions -vs); do \
+	    cp src/zope/__init__.py debian/$(package3)/usr/lib/python3/dist-packages/zope/; \
+	done
+	# python3-zope.interface-dbg package
+	for pv in $(shell py3versions -vs); do \
+	    $(SET_CROSS_ENV) python$$pv-dbg setup.py install \
+	    --no-compile --single-version-externally-managed \
+	    $(py_setup_install_args) --root=debian/$(package3)-dbg \
+	    --install-layout=deb; \
+	done
+	find debian/$(package3)-dbg
+	find debian/$(package3)-dbg ! -type d ! -name '*.so' | xargs rm -f
+	find debian/$(package3)-dbg -depth -empty -exec rmdir {} \;
 
 override_dh_installdocs:
 	dh_installdocs
@@ -27,3 +92,7 @@
 	dh_installchangelogs
 	dh_installchangelogs -p$(package) CHANGES.rst
 	dh_installchangelogs -p$(package3) CHANGES.rst
+
+override_dh_strip:
+	dh_strip -p$(package) --dbg-package=$(package)-dbg
+	dh_strip -p$(package3) --dbg-package=$(package3)-dbg

## zope.interface 4.2.0

=== debian/changelog ===
zope.interface (4.2.0-2) unstable; urgency=medium

  * No change rebuild for new dh-python.

 -- Barry Warsaw <barry@debian.org>  Wed, 03 Aug 2016 11:35:56 -0400

zope.interface (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Remove version for python-all-dev:any build dependency.
    - Bump Standards-Version to 3.9.8 with no other changes necessary.
    - XS-Testsuite -> Testsuite.

 -- Barry Warsaw <barry@debian.org>  Wed, 13 Jul 2016 17:10:37 -0400

## zope.interface 4.3.2

=== debian/changelog ===
zope.interface (4.3.2-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:25:43 +1200

zope.interface (4.3.2-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:56:50 +1200

zope.interface (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 25 Oct 2016 15:58:38 -0400

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                libpython3-all-dbg,
                libpython3-all-dev,
                python-all-dbg:any,
-               python-all-dev:any (>= 2.6.6-3~),
+               python-all-dev:any,
                python-setuptools,
                python-zope.event,
                python3-all-dbg:any,
                python3-all-dev:any,
                python3-setuptools,
                python3-zope.event
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-XS-Testsuite: autopkgtest
+Testsuite: autopkgtest
 Homepage: http://pypi.python.org/pypi/zope.interface
 Vcs-Svn: svn://anonscm.debian.org/pkg-zope/zope.interface/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.interface/trunk

=== debian/tests/control ===
Tests: all-2 all-3 all-dbg-3
Depends: @

Tests: all-dbg-2
Depends: @
Restrictions: allow-stderr

## zope.interface 4.7.1

=== debian/changelog ===
zope.interface (4.7.1-2ubuntu1) groovy; urgency=medium

  * Add upstream patch which removes the deprecated use of setuptools
    Features. (LP: #1892223)

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Aug 2020 10:14:41 -0700

zope.interface (4.7.1-2) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #938909

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 10:23:43 -0400

zope.interface (4.7.1-1) unstable; urgency=medium

  * QA upload.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Feb 2020 12:27:19 +0100

zope.interface (4.6.0-4) unstable; urgency=medium

  * QA upload.
  * Use python2 / python2-dbg in the autopkg tests.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2020 14:59:22 +0100

zope.interface (4.6.0-3) unstable; urgency=medium

  * QA upload.
  * python-zope.interface-dbg: Depend on python2-dbg.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 16:41:01 +0100

zope.interface (4.6.0-2) unstable; urgency=medium

  * QA upload.
  * Drop build-dependency on removed python-zope.event. Downgrades: #938909.
  * Disable testsuite for python 2, it needs python-zope.event.
    (keep testsuite enabled for python 3)
  * Fix clean target.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 07 Dec 2019 07:00:43 +0000

zope.interface (4.6.0-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869464.
  * New upstream version.
  * Fix lintian warnings.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 13:09:40 +0200

=== debian/control ===
Source: zope.interface
Section: zope
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               libpython3-all-dbg,
               libpython3-all-dev,
               python3-all-dbg:any,
               python3-all-dev:any,
               python3-setuptools,
               python3-zope.event
Standards-Version: 4.5.0
Testsuite: autopkgtest
Homepage: http://pypi.python.org/pypi/zope.interface

Package: python3-zope.interface
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: python3-zope, ${python3:Provides}
Description: Interfaces for Python3
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.
 .
 This is the Python 3 version.

Package: python3-zope.interface-dbg
Priority: extra
Section: debug
Architecture: any
Pre-Depends: dpkg (>= 1.17.5)
Depends: python3-dbg,
         python3-zope.interface (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Interfaces for Python3 (debug extension)
 This package provides an implementation of object interfaces for Python.
 Interfaces are a mechanism for labeling objects as conforming to a given API
 or contract. So, this package can be considered as implementation of the
 Design By Contract methodology support in Python.
 .
 This package contains the extension built for the Python3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.interface
#export PYBUILD_VERBOSE=1
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

package3=python3-zope.interface

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)

  # FIXME: is this sufficient?
  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
endif

override_dh_auto_build:
	set -xe; for pv in $(shell py3versions -sv); do \
		$(SET_CROSS_ENV) python$$pv setup.py build; \
	done

override_dh_auto_install:
	set -xe; \
	for pv in $(shell py3versions -vs); do \
		$(SET_CROSS_ENV) python$$pv setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/$(package3); \
	done
	# Remove C sources.
	find debian/$(package3) -name '*.c' | xargs -r rm -f

override_dh_install:
	# remove C source
	find debian/$(package3) -name '*.c' | xargs -r rm -f
	# remove debug symbols
	#-rm debian/$(package3)/usr/lib/python3/dist-packages/zope/interface/_zope_interface_coptimizations_d.so
	# zope.interface provides the zope namespace __init__.py
	for py in $(shell py3versions -vs); do \
	    cp src/zope/__init__.py debian/$(package3)/usr/lib/python3/dist-packages/zope/; \
	done
	# python3-zope.interface-dbg package
	for pv in $(shell py3versions -vs); do \
	    $(SET_CROSS_ENV) python$$pv-dbg setup.py install \
	    --no-compile --single-version-externally-managed \
	    $(py_setup_install_args) --root=debian/$(package3)-dbg \
	    --install-layout=deb; \
	done
	find debian/$(package3)-dbg
	find debian/$(package3)-dbg ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(package3)-dbg -depth -empty -exec rmdir {} \;

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -p$(package3) README.rst
	dh_installdocs -p$(package3)-dbg --link-doc=$(package3)

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -p$(package3) CHANGES.rst

override_dh_strip:
	dh_strip -p$(package3) --dbg-package=$(package3)-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -f .eggs/README.txt
	rm -f src/zope.interface.egg-info/requires.txt
	rm -f src/zope/interface/_zope_interface_coptimizations.*.so
